Bug 143996 - CAN-2004-1316 buffer overflow in mozilla
Summary: CAN-2004-1316 buffer overflow in mozilla
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard: impact=important,public=20041230
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-03 15:26 UTC by Josh Bressers
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 20:35:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-01-03 15:26:50 UTC
As reported on secunia
http://secunia.com/advisories/13687/

Maurycy Prodeus has reported a vulnerability in Mozilla, which can be exploited
by malicious people to cause a DoS (Denial of Service) and potentially
compromise a user's system.

The vulnerability is caused due to a boundary error in the
"MSG_UnEscapeSearchUrl()" function in "nsNNTPProtocol.cpp" when processing NNTP
URIs. This can be exploited via e.g. a malicious web site to cause a heap-based
buffer overflow when referencing a specially crafted, overly long "news://" URI.

Successful exploitation crashes the application, but may potentially allow
execution of arbitrary code.

The vulnerability has been reported in version 1.7.3 and prior.

Comment 1 Josh Bressers 2005-01-03 15:28:38 UTC
This issue should also affect FC2

Comment 2 Christopher Blizzard 2005-01-04 18:16:30 UTC
Over to caillon.

Comment 3 Christopher Aillon 2005-04-28 20:35:28 UTC
Fixed in latest mozilla release version.


Note You need to log in before you can comment on or make changes to this bug.